

layout(location = 0) in vec4 in_pos_os;
layout(location = 2) in vec2 in_texcoord0_nm;

uniform vec4 dimensions;
uniform vec4 scale;

out vec2 texcoord0_nm;
out vec2 texcoord1;

void main()
{
	gl_Position = in_pos_os;
	texcoord0_nm = in_texcoord0_nm;
	texcoord1 = in_texcoord0_nm * dimensions.xy / scale.xy;
}
